Skip to main content
GET
/
scheduled-events
List scheduled events
curl --request GET \
  --url https://api.zeeg.me/v2/scheduled-events \
  --header 'Authorization: Bearer <token>'
{
  "collection": [
    {
      "uri": "https://api.zeeg.me/v2/scheduled-events/zg-O69bac566950c6",
      "uuid": "zg-O69bac566950c6",
      "title": "30-Minute Discovery Call",
      "type": "ONE_ON_ONE",
      "startTime": "2026-04-15T09:00:00.000000Z",
      "endTime": "2026-04-15T09:30:00.000000Z",
      "duration": 30,
      "status": "confirmed",
      "eventTypeUri": "https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
      "location": {
        "type": "Google Meet",
        "joinUrl": "https://meet.google.com/abc-defg-hij"
      },
      "maxActiveInvitees": 1,
      "activeInviteesCount": 1,
      "invitees": [
        {
          "uuid": "zg-O69bad4047abf0",
          "salutation": "Ms.",
          "fullName": "Sophie Laurent",
          "email": "sophie.laurent@northwind.io",
          "guests": [
            "alex.chen@northwind.io"
          ],
          "timeZone": "Europe/Paris",
          "cancellation": {
            "cancelledAt": null,
            "cancelledBy": null,
            "cancellerType": null,
            "cancellationReason": null
          },
          "payment": null,
          "questions": [
            {
              "answer": "Product demo and pricing options",
              "answer_type": "STRING",
              "question": "What would you like to discuss?"
            }
          ],
          "scheduledAt": "2026-04-10T08:30:00.000000Z",
          "utm": {
            "utm_campaign": "spring_launch",
            "utm_source": "linkedin",
            "utm_medium": "social",
            "utm_content": null,
            "utm_term": null
          }
        }
      ],
      "guests": [
        "alex.chen@northwind.io"
      ],
      "hosts": [
        {
          "firstName": "Lena",
          "lastName": "Meier",
          "email": "lena.meier@horizondigital.de",
          "slug": "lena-meier",
          "url": "https://zeeg.me/lena-meier",
          "avatarUrl": null
        }
      ],
      "createdAt": "2026-04-10T08:30:00.000000Z",
      "updatedAt": "2026-04-10T08:30:02.000000Z",
      "currentTime": "2026-03-23T10:00:00.000000Z"
    },
    {
      "uri": "https://api.zeeg.me/v2/scheduled-events/zg-O69bad4047abf0",
      "uuid": "zg-O69bad4047abf0",
      "title": "30-Minute Discovery Call",
      "type": "ONE_ON_ONE",
      "startTime": "2026-04-18T14:00:00.000000Z",
      "endTime": "2026-04-18T14:30:00.000000Z",
      "duration": 30,
      "status": "cancelled",
      "eventTypeUri": "https://api.zeeg.me/v2/event-types/80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
      "location": {
        "type": "Google Meet",
        "joinUrl": "https://meet.google.com/klm-nopq-rst"
      },
      "maxActiveInvitees": 1,
      "activeInviteesCount": 0,
      "invitees": [
        {
          "uuid": "zg-O69bac566950c6",
          "salutation": null,
          "fullName": "Marco Rossi",
          "email": "marco.rossi@horizondigital.de",
          "guests": null,
          "timeZone": "Europe/Berlin",
          "cancellation": {
            "cancelledAt": "2026-04-17T10:00:00.000000Z",
            "cancelledBy": "marco.rossi@horizondigital.de",
            "cancellerType": "host",
            "cancellationReason": "Schedule conflict with another commitment."
          },
          "payment": null,
          "questions": null,
          "scheduledAt": "2026-04-12T11:00:00.000000Z",
          "utm": {
            "utm_campaign": null,
            "utm_source": null,
            "utm_medium": null,
            "utm_content": null,
            "utm_term": null
          }
        }
      ],
      "guests": null,
      "hosts": [
        {
          "firstName": "Lena",
          "lastName": "Meier",
          "email": "lena.meier@horizondigital.de",
          "slug": "lena-meier",
          "url": "https://zeeg.me/lena-meier",
          "avatarUrl": null
        }
      ],
      "createdAt": "2026-04-12T11:00:00.000000Z",
      "updatedAt": "2026-04-17T10:00:00.000000Z",
      "currentTime": "2026-03-23T10:00:00.000000Z"
    }
  ],
  "pagination": {
    "total": 2,
    "count": 2,
    "totalPages": 1,
    "previousPage": null,
    "currentPage": 1,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

sort
enum<string>
default:asc

Order results based on the startTime.

Available options:
asc,
desc
count
number
default:20

Limit the number of returned results per page.

Required range: 1 <= x <= 100
status
enum<string>

Filter based on event status. Possible values are: active, cancelled. Omit for all events.

Available options:
confirmed,
cancelled
minStartTime
string<date-time>

Filter for events starting after the specified time.

Example:

"2026-04-01T00:00:00.000000Z"

maxStartTime
string<date-time>

Filter for events starting before the specified time.

Example:

"2026-04-30T23:59:59.000000Z"

scope
enum<string>

Filters results based on the scope. Currently only 'all' is supported, returning all events of the whole organization. More options coming soon.

Available options:
all
userSlug
string

Filter for events hosted by a specific user in your organization based on the user's slug.

Example:

"lena-meier"

hostEmail
string<email>

Filter for events hosted by a specific user in your organization based on the user's email address.

Example:

"lena.meier@horizondigital.de"

inviteeEmail
string<email>

Filter for events of a specific invitee by their email address.

Example:

"sophie.laurent@northwind.io"

teamSlug
string

Filter for events that belong to a specific team in your organization based on the team's slug.

keyword
string

Search through events with a keyword.

page
number

Page number for paginated results.

Required range: x >= 1

Response

OK

pagination
object
required
collection
object[]
Last modified on April 4, 2026